Name:           bedops
Version:        2.4.26
Release:        1%{?dist}
Summary:        A suite of tools to address common questions raised in genomic studies
License:        GPLv2+
URL:            http://bedops.readthedocs.org/
Source0:        https://github.com/bedops/bedops/archive/v%version.tar.gz#/bedops-%version.tar.gz
# Fix Rscript location
Patch1:         bedops-rscript.patch
# Use system libraries (from Debian)
Patch2:		bedops-syslibs.patch
BuildRequires:  bzip2-devel jansson-devel zlib-devel
%if 0%{?el6}
BuildRequires:  devtoolset-4-gcc devtoolset-4-gcc-c++
%else
BuildRequires:  gcc-c++
%endif

%global __requires_exclude /usr/bin/Rscript
%{?filter_setup:
%filter_from_requires /\/usr\/bin\/Rscript/d
%filter_setup
}

%description
BEDOPS is a suite of tools to address common questions raised in
genomic studies — mostly with regard to overlap and proximity
relationships between data sets.  It aims to be scalable and flexible,
facilitating the efficient and accurate analysis and management of
large-scale genomic data.

Shane Neph, M. Scott Kuehn, Alex P. Reynolds, et al. Bioinformatics
(2012) 28 (14): 1919-1920

%prep
%setup -q
#%patch1 -p1
%patch2 -p1
rm -r third-party/bzip* third-party/jansson*


%build
%{?el6:PATH=/opt/rh/devtoolset-4/root/usr/bin:$PATH}
make  JPARALLEL=$RPM_BUILD_NCPUS

%install
make install BINDIR=%buildroot%_bindir


%{!?_licensedir:%global license %doc}
%files
%license LICENSE
%_bindir/*
%doc docs/*


%changelog
* Fri Nov  3 2017 Dave Love <loveshack@fedoraproject.org> - 2.4.26-1
- New version

* Thu Nov 10 2016 Dave Love <loveshack@fedoraproject.org> - 2.4.20-1
- Initial Fedora packaging (summary and description from included spec)

